<?php
	if(!defined('PLX_ROOT')) exit;
	/**
		* Plugin 			comPaginate
		*
		* @CMS required		PluXml 
		* @page				config.php
		* @version			1.0.0
		* @date				04/01/2025
		* @author 			G-cyrillus
		░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
		░       ░░  ░░░░░░░  ░░░░  ░  ░░░░  ░░      ░░       ░░░      ░░  ░░░░░░░        ░░      ░░░░░   ░░░  ░        ░        ░
		▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒  ▒▒  ▒▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒▒▒▒▒▒    ▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒
		▓       ▓▓  ▓▓▓▓▓▓▓  ▓▓▓▓  ▓▓▓    ▓▓▓  ▓▓▓▓  ▓       ▓▓  ▓▓▓▓  ▓  ▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓      ▓▓▓▓▓  ▓  ▓  ▓      ▓▓▓▓▓▓  ▓▓▓▓
		█  ███████  ███████  ████  ██  ██  ██  ████  █  ███████  ████  █  ██████████  ██████████  ████  ██    █  ██████████  ████
		█  ███████        ██      ██  ████  ██      ██  ████████      ██        █        ██      ██  █  ███   █        ████  ████
		█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████
	**/	
	# Control du token du formulaire
	plxToken::validateFormToken($_POST);
	
	# Liste des langues disponibles et prises en charge par le plugin
	$aLangs = array($plxAdmin->aConf['default_lang']);	
	
	if(!empty($_POST)) {
		
		$plxPlugin->setParam('nbcom', $_POST['nbcom'], 'numeric');
		
		$plxPlugin->saveParams();	
		header("Location: parametres_plugin.php?p=".basename(__DIR__));
		exit;
	}
	
	# initialisation des variables propres à chaque lanque
	$langs = array();
	foreach($aLangs as $lang) {
		# chargement de chaque fichier de langue
		$langs[$lang] = $plxPlugin->loadLang(PLX_PLUGINS.'comPaginate/lang/'.$lang.'.php');
		$var[$lang]['mnuName'] =  $plxPlugin->getParam('mnuName_'.$lang)=='' ? $plxPlugin->getLang('L_DEFAULT_MENU_NAME') : $plxPlugin->getParam('mnuName_'.$lang);
	}
	
	
?>
<p>Permet de paginer les commentaires et de réduires le nombre à charger.(incompatible avec la fonction repondre à un commentaire")</p>	
<h2><?php $plxPlugin->lang("L_CONFIG") ?></h2>
<style>form,fieldset, fieldset  *{all:revert;margin-block:.05em}</style>
<form action="parametres_plugin.php?p=<?= basename(__DIR__) ?>" method="post" >	
	<fieldset><legend><?= $plxPlugin->getLang('L_PAGINATE_COM') ?></legend>
		
		<p>
			<label for="nbcom"><?= $plxPlugin->getLang('L_COM_PER_PAGE') ?></label> 
			<?php plxUtils::printInput('nbcom',$plxPlugin->nbcom,'number','3-5') ?>	
		</p>	
	</fieldset>
	<p class="in-action-bar">
		<?php echo plxToken::getTokenPostMethod() ?><br>
		<input type="submit" name="submit" value="<?= $plxPlugin->getLang('L_SAVE') ?>"/>
	</p>
</form>
</div>